Package org.eclipse.rdf4j.query.resultio

## Class BooleanQueryResultParserRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<FF,​S>
  - - org.eclipse.rdf4j.common.lang.service.FileFormatServiceRegistry<QueryResultFormat,​BooleanQueryResultParserFactory>
    - - org.eclipse.rdf4j.query.resultio.BooleanQueryResultParserRegistry

-     public class BooleanQueryResultParserRegistry
      extends FileFormatServiceRegistry<QueryResultFormat,​BooleanQueryResultParserFactory>

  A registry that keeps track of the available `BooleanQueryResultParserFactory`s.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanQueryResultParserRegistry()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BooleanQueryResultParserRegistry` | `getInstance()` | Gets the default BooleanQueryResultParserRegistry.
    `protected QueryResultFormat` | `getKey​(BooleanQueryResultParserFactory factory)` | Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.FileFormatServiceRegistry

      `getFileFormatForFileName, getFileFormatForMIMEType`

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanQueryResultParserRegistry

          public BooleanQueryResultParserRegistry()

  - ### Method Detail

    - #### getInstance

          public static BooleanQueryResultParserRegistry getInstance()

      Gets the default BooleanQueryResultParserRegistry.
      Returns:
        The default registry.

    - #### getKey

          protected QueryResultFormat getKey​(BooleanQueryResultParserFactory factory)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<QueryResultFormat,​BooleanQueryResultParserFactory>`
      Parameters:
        `factory` - The service to get the key for.
      Returns:
        The key for the specified service.